Bug 436395 - ConcurrentModificationException upon container startup
ConcurrentModificationException upon container startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Devrim GUNDUZ
Fedora Extras Quality Assurance
https://issues.apache.org/bugzilla/sh...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 17:15 EST by Justin Mahoney
Modified: 2009-01-09 01:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 44534 None None None Never
GNU Compiler Collection 35487 None None None Never

  None (edit)
Description Justin Mahoney 2008-03-06 17:15:29 EST
Description of problem:

I have to restart my server several times to avoid the following:

4-Mar-08 12:56:12 AM org.apache.catalina.connector.MapperListener init
WARNING: Error registering contexts
java.util.ConcurrentModificationException
   at java.util.HashMap$HashIterator.next(libgcj.so.8rh)
   at gnu.javax.management.Server.queryMBeans(libgcj.so.8rh)
   at org.apache.catalina.connector.MapperListener.init(catalina-5.5.26.jar.so)
   at org.apache.catalina.connector.Connector.start(catalina-5.5.26.jar.so)
   at org.apache.catalina.core.StandardService.start(catalina-5.5.26.jar.so)
   at org.apache.catalina.core.StandardServer.start(catalina-5.5.26.jar.so)
   at org.apache.catalina.startup.Catalina.start(catalina-5.5.26.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.8rh)
   at org.apache.catalina.startup.Bootstrap.start(bootstrap.jar.so)
   at org.apache.catalina.startup.Bootstrap.main(bootstrap.jar.so)
4-Mar-08 12:56:12 AM org.apache.jk.common.ChannelSocket init

When I get it, the webapps do not load properly.


Version-Release number of selected component (if applicable):

I installed Tomcat 5.5.26 on Fedora 8 x86_64 with RPMs:

108$rpm -qa | grep tomcat
jakarta-commons-pool-tomcat5-1.3-9jpp.3.fc8
tomcat5-servlet-2.4-api-5.5.26-1jpp.2.fc8
tomcat5-jsp-2.0-api-5.5.26-1jpp.2.fc8
tomcat5-jasper-5.5.26-1jpp.2.fc8
jakarta-commons-collections-tomcat5-3.1-9jpp.2.fc7.1
tomcat5-common-lib-5.5.26-1jpp.2.fc8
tomcat5-server-lib-5.5.26-1jpp.2.fc8
tomcat5-admin-webapps-5.5.26-1jpp.2.fc8
tomcat5-webapps-5.5.26-1jpp.2.fc8
jakarta-commons-dbcp-tomcat5-1.2.1-10jpp.2.fc8
tomcat5-5.5.26-1jpp.2.fc8

Additional info:

The machine is dual CPU with dual cores, and is using gcj as installed by
default with Fedora 8 RPMs.
Comment 1 Justin Mahoney 2008-03-06 17:27:21 EST
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=35487
Comment 2 Andrew John Hughes 2008-09-09 20:01:29 EDT
This is now fixed in Classpath CVS, and will hopefully end up in GCJ 4.4.
Comment 3 Bug Zapper 2008-11-26 05:02:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:07:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.